#!/usr/bin/env python

import pygtk
import gtk
import os


class AdslControl:

    def connect(self, widget):
	print "Attiva la connessione"
        os.execv('/usr/bin/pon', [])

    def disconnect(self, widget):
	print "Disattiva la connessione"
	os.execv('/usr/bin/poff', [])
	pass


    def configure(self, widget):
	print "Lancia il programma di configurazione"
	os.execv('/usr/bin/gksu', ['','/usr/sbin/fuss-adsl-setup'])
	pass


    # another callback
    def delete_event(self, widget, event, data=None):
        gtk.main_quit()
        return False

    def __init__(self):
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.set_title("Connessione ADSL")

        self.window.connect("delete_event", self.delete_event)
        self.window.set_border_width(10)

        self.box1 = gtk.HBox(False, 0)

        self.window.add(self.box1)

        self.button1 = gtk.Button("Connetti")
        self.button1.connect("clicked", self.connect)
        self.box1.pack_start(self.button1, False, False, 3)
        self.button1.show()
        
	self.button2 = gtk.Button("Disconnetti")
        self.button2.connect("clicked", self.disconnect)
        self.box1.pack_start(self.button2, False, False, 3)
        self.button2.show()

	self.button3 = gtk.Button("Configura")
        self.button3.connect("clicked", self.configure)
        self.box1.pack_start(self.button3, False, False, 3)
        self.button3.show()
        
        self.box1.show()
        self.window.show()

def main():
    gtk.main()

if __name__ == "__main__":
    hello = AdslControl()
    main()

